# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    print("Disable USB storage")
    registry_setstring(HKEY_LOCAL_MACHINE, r"SYSTEM\CurrentControlSet\Services\USBSTOR", "Start", 4, type=REG_DWORD)


def uninstall():
    print("Re-enable USB storage")
    registry_setstring(HKEY_LOCAL_MACHINE, r"SYSTEM\CurrentControlSet\Services\USBSTOR", "Start", 3, type=REG_DWORD)


def audit():
    usbstor_value = registry_readstring(HKEY_LOCAL_MACHINE, r"SYSTEM\CurrentControlSet\Services\USBSTOR", "Start")
    print('Registry value is %s' % usbstor_value)

    if usbstor_value == '4':
        print('USB Storage is disable')
        WAPT.write_audit_data_if_changed('USB Storage','Is disabled','OK', keep_days=365)
        return "OK"
    else:
        print('USB Storage is enable')
        WAPT.write_audit_data_if_changed('USB Storage','Is disabled','ERROR', keep_days=365)
        return "ERROR"